xgboost

Public Types | Static Public Member Functions | List of all members
xgboost::RBitsPolicy< VT > Struct Template Reference

`#include <bitfield.h>`

Inheritance diagram for xgboost::RBitsPolicy< VT >:
Collaboration diagram for xgboost::RBitsPolicy< VT >:

## Public Types
using | Container = BitFieldContainer< VT, RBitsPolicy< VT > >
using | Pos = typename Container::Pos
using | value_type = typename Container::value_type
Public Types inherited from xgboost::BitFieldContainer< VT, RBitsPolicy< VT > >
using | value_type = std::conditional_t< false, VT const, VT >
using | pointer = value_type *

## Static Public Member Functions
static XGBOOST_DEVICE Pos | Shift (Pos pos)
Static Public Member Functions inherited from xgboost::BitFieldContainer< VT, RBitsPolicy< VT > >
static XGBOOST_DEVICE Pos | ToBitPos (value_type pos)
static XGBOOST_DEVICE size_t | ComputeStorageSize (size_t size)

## Additional Inherited Members
Public Member Functions inherited from xgboost::BitFieldContainer< VT, RBitsPolicy< VT > >
| BitFieldContainer ()=default
XGBOOST_DEVICE | BitFieldContainer (common::Span< value_type > bits)
XGBOOST_DEVICE | BitFieldContainer (BitFieldContainer const &other)
common::Span< value_type > | Bits ()
common::Span< value_type const > | Bits () const
BitFieldContainer & | operator|= (BitFieldContainer const &rhs)
BitFieldContainer & | operator&= (BitFieldContainer const &rhs)
void | Set (value_type pos)
void | Clear (value_type pos)
XGBOOST_DEVICE bool | Check (Pos pos_v) const
XGBOOST_DEVICE bool | Check (value_type pos) const
XGBOOST_DEVICE size_t | Size () const
XGBOOST_DEVICE pointer | Data () const
Static Public Attributes inherited from xgboost::BitFieldContainer< VT, RBitsPolicy< VT > >
static constexpr value_type | kValueSize
static constexpr value_type | kOne

## Member Typedef Documentation

## ◆ Container

template<typename VT >

using xgboost::RBitsPolicy< VT >::Container = BitFieldContainer<VT, RBitsPolicy<VT> >

## ◆ Pos

template<typename VT >

using xgboost::RBitsPolicy< VT >::Pos = typename Container::Pos

## ◆ value_type

template<typename VT >

using xgboost::RBitsPolicy< VT >::value_type = typename Container::value_type

## Member Function Documentation

## ◆ Shift()

template<typename VT >

static XGBOOST_DEVICE Pos xgboost::RBitsPolicy< VT >::Shift | ( | Pos | pos | ) |
| inline static

The documentation for this struct was generated from the following file:

- /home/runner/work/xgboost/xgboost/src/common/bitfield.h